package com.brilliance;

import com.brilliance.swift.SwiftTransfer;
import org.apache.commons.io.FileUtils;
import org.junit.Test;

import java.io.File;
import java.io.IOException;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

public class MxXsdValidator {

    @Test
    public void testPacs008001() {
        File file = FileUtils.toFile(Mx2MtTest.class.getResource("/mxjson/Pacs00800108.xml"));
        boolean flag = SwiftTransfer.validateMx(file);
        System.out.println(flag);
    }

    @Test
    public void test() throws IOException {
        File file = FileUtils.toFile(Mx2MtTest.class.getResource("/swiftXml/MxPacs00800108.xml"));
        System.out.println(SwiftTransfer.fetchFinFromMixMessage(file));
    }


    @Test
    public void generateAppHdrXsd() throws Exception {
        String str="LE345678901234567812";
        Pattern pattern=Pattern.compile("[A-Z0-9]{18,18}[0-9]{2,2}");
        Matcher m = pattern.matcher(str);
        System.out.println(m.find());

    }
}
